clang 10.0.0git

Public Member Functions | List of all members
clang::Sema::SFINAETrap Class Reference

RAII class used to determine whether SFINAE has trapped any errors that occur during template argument deduction. More...

`#include "clang/Sema/Sema.h"`

## Public Member Functions
| SFINAETrap (Sema &SemaRef, bool AccessCheckingSFINAE=false)
| ~SFINAETrap ()
bool | hasErrorOccurred () const
| Determine whether any SFINAE errors have been trapped. More...

## Detailed Description

RAII class used to determine whether SFINAE has trapped any errors that occur during template argument deduction.

Definition at line 8450 of file Sema.h.

## Constructor & Destructor Documentation

## ◆ SFINAETrap()

clang::Sema::SFINAETrap::SFINAETrap | ( | Sema & | SemaRef,
|  | bool | AccessCheckingSFINAE = `false`
| ) |  |
| inline explicit

Definition at line 8458 of file Sema.h.

References clang::Sema::AccessCheckingSFINAE, clang::Sema::InNonInstantiationSFINAEContext, and clang::Sema::isSFINAEContext().

## ◆ ~SFINAETrap()

clang::Sema::SFINAETrap::~SFINAETrap | ( |  | ) |
| inline

Definition at line 8471 of file Sema.h.

References clang::Sema::AccessCheckingSFINAE, clang::Sema::getDiagnostics(), clang::Sema::InNonInstantiationSFINAEContext, clang::Sema::NumSFINAEErrors, and clang::DiagnosticsEngine::setLastDiagnosticIgnored().

## Member Function Documentation

## ◆ hasErrorOccurred()

bool clang::Sema::SFINAETrap::hasErrorOccurred | ( |  | ) | const
| inline

Determine whether any SFINAE errors have been trapped.

Definition at line 8481 of file Sema.h.

References clang::Sema::NumSFINAEErrors.

Referenced by attemptRecovery(), clang::Sema::BuildMemberReferenceExpr(), convertArgsForAvailabilityChecks(), clang::Sema::DeduceTemplateArguments(), EvaluateBinaryTypeTrait(), and evaluateTypeTrait().

The documentation for this class was generated from the following file:

- include/clang/Sema/Sema.h